## bind9 9.18.41

=== debian/changelog ===
bind9 (1:9.18.41-1~deb12u1A~5.2.3.202510271207) ucs5-2-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    0001-Bug-22478-build-bind-with-libdb4.8.patch
    0002-Bug-51417-Do-not-fail-on-service-start.patch
    0004-Bug-41714-Add-LDAP-support.patch
    0004-Bug-41714-Add-LDAP-support.quilt
    0017-Bug-51786-fix-apparmor-profile.patch

 -- Univention builddaemon <buildd@univention.de>  Mon, 27 Oct 2025 12:07:56 -0000

bind9 (1:9.18.41-1~deb12u1) bookworm-security; urgency=high

  * New upstream version 9.18.41
   - [CVE-2025-8677]: DNSSEC validation fails if matching but invalid
     DNSKEY is found
   - [CVE-2025-40778]: Address various spoofing attacks.
   - [CVE-2025-40780]: Cache-poisoning due to weak pseudo-random number
     generator

 -- Ondřej Surý <ondrej@debian.org>  Wed, 22 Oct 2025 17:38:58 +0200

bind9 (1:9.18.36-1~deb12u1) bookworm; urgency=medium

  * New upstream version 9.18.36

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 Apr 2025 15:02:24 +0200

bind9 (1:9.18.35-1~deb12u1) bookworm; urgency=medium

  * New upstream version 9.18.35

 -- Ondřej Surý <ondrej@debian.org>  Thu, 13 Mar 2025 11:41:23 +0100
