=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: bind9
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
+Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Bernhard Schmidt <berni@debian.org>
 Build-Depends: bison,
                debhelper-compat (= 12),
                dh-apparmor,
-               dh-apport,
                dh-exec,
                libcap2-dev [linux-any],
                libcmocka-dev,
                libdb-dev,
                libedit-dev,
+               libfstrm-dev,
                libidn2-dev,
+               libjemalloc-dev,
                libjson-c-dev,
                libkrb5-dev,
                libldap2-dev,
@@ -22,12 +22,14 @@
                libltdl-dev,
                libmaxminddb-dev (>= 1.3.0),
                libnghttp2-dev,
+               libprotobuf-c-dev,
                libssl-dev,
+               libsystemd-dev [linux-any],
                libtool,
-               libtool-bin,
-               libuv1-dev,
+               libuv1-dev (>= 1.40.0),
                libxml2-dev,
                pkg-config,
+               protobuf-c-compiler,
                python3,
                zlib1g-dev
 Build-Depends-Indep: fonts-freefont-otf,
@@ -38,9 +40,9 @@
                      texlive-latex-recommended,
                      texlive-xetex,
                      xindy
-Standards-Version: 4.1.2
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/dns-team/bind9
-Vcs-Git: https://salsa.debian.org/dns-team/bind9.git -b isc/9.18
+Vcs-Git: https://salsa.debian.org/dns-team/bind9.git -b debian/9.18
 Homepage: https://www.isc.org/downloads/bind/
 
 Package: bind9
@@ -121,7 +123,8 @@
 Priority: standard
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: libuv1 (>= 1.40.0),
+         ${misc:Depends},
          ${shlibs:Depends}
 Breaks: bind-libs (<< 1:9.13.6~)
 Replaces: bind-libs (<< 1:9.13.6~)
