=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 
 export DEB_CFLAGS_MAINT_APPEND = -fno-strict-aliasing -fno-delete-null-pointer-checks -DNO_VERSION_DATE -DDIG_SIGCHASE
-export DEB_LDFLAGS_MAINT_APPEND = -ledit
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL := 4
 
@@ -47,7 +46,7 @@
 	--exclude=libns.la
 
 %:
-	dh $@ --with apport
+	dh $@
 
 prepare_version_extensions:
 	if [ ! -f configure.ac.bak ]; then \
@@ -73,6 +72,7 @@
 		--enable-largefile \
 		--with-libtool \
 		--enable-shared \
+		--with-dlz-dlopen \
 		--disable-static \
 		--with-gost=no \
 		--with-openssl=/usr \
@@ -87,6 +87,7 @@
 		--enable-rrl \
 		--enable-filter-aaaa \
 		--disable-native-pkcs11 \
+		--enable-dnstap \
 		$(EXTRA_FEATURES)
 
 override_dh_auto_build:
@@ -104,7 +105,7 @@
 	:
 
 override_dh_installinit:
-	dh_installinit -pbind9 --name=named
+	dh_installinit -pbind9 --name=named --error-handler=true
 	dh_installinit --remaining
 
 override_dh_installsystemd:
