## bind9 9.18.44

=== debian/changelog ===
bind9 (1:9.18.44-1+0~20260121.118+debian11~1.gbp9c7752) unstable; urgency=medium

  ** SNAPSHOT build @9c775213de5d6491a2fac45f0872ddf275289342 **

  * Downgrade the debhelper compat level to 10
  * Update d/gbp.conf for isc/backports/9.17 branch
  * Only build-depend on xindy on Debian buster
  * Add texlive-plain-generic | texlive-generic-extra to B-D
  * Move the python3-sphinx to B-D to allow building manual pages
  * Use python3-sphinx from stretch-backports
  * Don't fail the build when we fail to build the documentation

 -- Ondřej Surý <ondrej@sury.org>  Wed, 21 Jan 2026 16:57:34 +0100

bind9 (1:9.18.44-1) unstable; urgency=medium

  * New upstream version 9.18.44
   + [CVE-2025-13878]: Fix incorrect length checks for BRID and HHIT
     records.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Jan 2026 16:43:37 +0100

bind9 (1:9.18.43-1) unstable; urgency=medium

  * New upstream version 9.18.43

 -- Ondřej Surý <ondrej@debian.org>  Wed, 17 Dec 2025 15:47:16 +0100

bind9 (1:9.18.42-1) unstable; urgency=medium

  * New upstream version 9.18.42

 -- Ondřej Surý <ondrej@debian.org>  Wed, 19 Nov 2025 18:02:16 +0100

bind9 (1:9.18.41-2) unstable; urgency=medium

  * Remove libdb-dev build depends (Closes: #1119196)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Oct 2025 07:38:24 +0100

bind9 (1:9.18.41-1) unstable; urgency=medium

  * New upstream version 9.18.41

 -- Ondřej Surý <ondrej@debian.org>  Wed, 22 Oct 2025 15:52:13 +0200

bind9 (1:9.18.39-1) unstable; urgency=medium

  * New upstream version 9.18.39

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Aug 2025 17:12:17 +0200

bind9 (1:9.18.38-2) unstable; urgency=medium

  * Drop the libuv1 (>> 1.40.0) requirement, it is not needed anymore

 -- Ondřej Surý <ondrej@debian.org>  Thu, 17 Jul 2025 14:32:31 +0200

bind9 (1:9.18.38-1) unstable; urgency=medium

  * New upstream version 9.18.38
   - Fix an issue when some specific queries could remain unanswered
     with serve-stale enabled.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 Jul 2025 17:03:04 +0200

bind9 (1:9.18.37-1) unstable; urgency=medium

  [ Ondřej Surý ]
  * New upstream version 9.18.37
  * Fix lintian mismatched-override
  * Use pkgconf instead of pkg-config
  * Remove superfluous-file-pattern(s) from d/copyright
  * Remove full path to named-checkconf in d/bind9.postinst
  * Adjust the autopkg zonetest

  [ Remus-Gabriel Chelu ]
  * [INTL:ro] Romanian debconf templates translation of bind9

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 May 2025 13:42:42 +0200

bind9 (1:9.18.36-2) unstable; urgency=medium

  [ Ondřej Surý ]
  * Validate configuration file before service restart (Closes: #995310)

  [ Lena Voytek ]
  * Fix German UTF-8 encoding
  * Clean up debian/copyright file
  * Remove lsb-base runtime dependency as it is no longer needed
  * Add zonetest DEP-8 test

  [ Santiago Ruano Rincón ]
  * Add debian/salsa-ci.yml
  * Make d/tests/validation less flaky.

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

  [ Mitchell Dzurick ]
  * d/control: Suggest bind9-doc over bind-doc for the bind9 package

  [ Debian Janitor ]
  * Apply multi-arch hints. + bind9-doc: Add Multi-Arch: foreign.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 17 Apr 2025 21:20:49 +0200

bind9 (1:9.18.36-1) unstable; urgency=medium

  * New upstream version 9.18.36

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 Apr 2025 15:01:55 +0200

bind9 (1:9.18.35-1) unstable; urgency=medium

  * New upstream version 9.18.35

 -- Ondřej Surý <ondrej@debian.org>  Thu, 13 Mar 2025 11:36:56 +0100

bind9 (1:9.18.34-1) unstable; urgency=medium

  * New upstream version 9.18.34
  * Drop libltdl-dev from Build-Depends, libuv is used
  * Drop transitional package dnsutils (Closes: #1038223)
  * Drop transitional package bind9utils (Closes: #1038222)
  * Use shfmt to reformat the sysv init script
  * Use command -v resolvconf to check if it is installed (Closes: #1090804)
  * Remove obsolete empty-zones configuration files
  * Remove obsolete or useless configuration from named.conf.options (Closes: #1042899)
  * Add Debian NEWS about sd_notify socket (Closes: #1037966)
  * Set Multi-Arch: foreign on bind9-host and dnsutils (Closes: #907804)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 19 Feb 2025 15:57:35 +0100

bind9 (1:9.18.33-1) unstable; urgency=medium

  * New upstream version 9.18.33
   - CVE-2024-12705: DNS-over-HTTPS flooding fixes
   - CVE-2024-11187: Limit additional section processing for large RDATA
     sets

 -- Ondřej Surý <ondrej@debian.org>  Sat, 25 Jan 2025 11:14:37 +0100

bind9 (1:9.18.32-1) unstable; urgency=medium

  * New upstream version 9.18.32

 -- Ondřej Surý <ondrej@debian.org>  Wed, 11 Dec 2024 17:31:10 +0100

bind9 (1:9.18.31-1) unstable; urgency=medium

  * New upstream version 9.18.31

 -- Ondřej Surý <ondrej@debian.org>  Thu, 10 Oct 2024 10:36:02 +0200

bind9 (1:9.18.30-1) unstable; urgency=medium

  * New upstream version 9.18.30

 -- Ondřej Surý <ondrej@debian.org>  Fri, 20 Sep 2024 13:53:05 +0200

bind9 (1:9.18.29-1) unstable; urgency=medium

  * New upstream version 9.18.29  
   - Tighten max-recursion-queries and add max-query-restarts
     configuration statement.

     There were cases when the max-recursion-queries quota was
     ineffective. It was possible to craft zones that would cause a
     resolver to waste resources by sending excessive queries while
     attempting to resolve a name. This has been addressed by correcting
     errors in the implementation of max-recursion-queries and by reducing
     the default value from 100 to 32.

     In addition, a new max-query-restarts configuration statement has
     been added, which limits the number of times a recursive server will
     follow CNAME or DNAME records before terminating resolution. This was
     previously a hard-coded limit of 16 but is now configurable with a
     default value of 11.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Aug 2024 15:02:49 +0200


