=== debian/control ===
--- 
+++ 
@@ -5,21 +5,18 @@
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Bernhard Schmidt <berni@debian.org>
 Build-Depends: bison,
-               debhelper-compat (= 12),
+               debhelper (>= 10),
                dh-apparmor,
                dh-exec,
                libcap2-dev [linux-any],
                libcmocka-dev,
-               libdb-dev,
                libedit-dev,
                libfstrm-dev,
                libidn2-dev,
                libjemalloc-dev,
                libjson-c-dev,
                libkrb5-dev,
-               libldap2-dev,
                liblmdb-dev,
-               libltdl-dev,
                libmaxminddb-dev (>= 1.3.0),
                libnghttp2-dev,
                libprotobuf-c-dev,
@@ -28,18 +25,19 @@
                libtool,
                libuv1-dev (>= 1.40.0),
                libxml2-dev,
-               pkg-config,
+               pkgconf,
                protobuf-c-compiler,
                python3,
+               python3-sphinx (>= 1.6.7),
+               python3-sphinx-rtd-theme,
                zlib1g-dev
 Build-Depends-Indep: fonts-freefont-otf,
                      latexmk,
-                     python3-sphinx,
-                     python3-sphinx-rtd-theme,
                      texlive-fonts-extra,
                      texlive-latex-recommended,
+                     texlive-plain-generic | texlive-generic-extra,
                      texlive-xetex,
-                     xindy
+                     xindy | texlive-xetex (<< 2018.20190227-2~)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/dns-team/bind9
 Vcs-Git: https://salsa.debian.org/dns-team/bind9.git -b debian/9.18
@@ -54,12 +52,11 @@
          debconf | debconf-2.0,
          dns-root-data,
          iproute2,
-         lsb-base (>= 3.2-14),
          netbase,
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: bind-doc,
-          dnsutils,
+Suggests: bind9-doc,
+          bind9-dnsutils,
           resolvconf,
           ufw
 Breaks: bind (<< 1:9.13.6~)
@@ -71,26 +68,12 @@
  .
  This package provides the server and related configuration files.
 
-Package: bind9utils
-Architecture: all
-Depends: bind9-utils,
-         ${misc:Depends}
-Priority: optional
-Section: oldlibs
-Description: Transitional package for bind9-utils
- This is a transitional package. It can safely be removed.
-
 Package: bind9-utils
 Architecture: any
 Depends: bind9-libs (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: bind-utils (<< 1:9.13.6~),
-        bind9utils (<< 1:9.12.0~),
-        freeipa
-Replaces: bind-utils (<< 1:9.13.6~),
-          bind9utils (<< 1:9.12.0~)
-Provides: bind9utils
+Breaks: freeipa
 Description: Utilities for BIND 9
  This package provides various utilities that are useful for maintaining a
  working BIND 9 installation.
@@ -101,6 +84,7 @@
 Depends: ${misc:Depends}
 Breaks: bind-doc (<< 1:9.13.6~)
 Replaces: bind-doc (<< 1:9.13.6~)
+Multi-Arch: foreign
 Description: Documentation for BIND 9
  This package provides various documents that are useful for maintaining a
  working BIND 9 installation.
@@ -108,6 +92,7 @@
 Package: bind9-host
 Priority: standard
 Architecture: any
+Multi-Arch: foreign
 Depends: bind9-libs (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -123,8 +108,7 @@
 Priority: standard
 Architecture: any
 Multi-Arch: same
-Depends: libuv1 (>= 1.40.0),
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends}
 Breaks: bind-libs (<< 1:9.13.6~)
 Replaces: bind-libs (<< 1:9.13.6~)
@@ -156,27 +140,14 @@
  Please be aware that the BIND 9 libraries are considered private by upstream
  developers and the API and ABI might break at any time.
 
-Package: dnsutils
-Architecture: all
-Depends: bind9-dnsutils,
-         ${misc:Depends}
-Priority: optional
-Section: oldlibs
-Description: Transitional package for bind9-dnsutils
- This is a transitional package. It can safely be removed.
-
 Package: bind9-dnsutils
 Priority: standard
 Architecture: any
+Multi-Arch: foreign
 Depends: bind9-host | host,
          bind9-libs (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: bind-dnsutils (<< 1:9.13.6~),
-        dnsutils (<< 1:9.13.6~)
-Conflicts: bind-dnsutils (<< 1:9.13.6~),
-           dnsutils (<< 1:9.13.6~)
-Provides: dnsutils
 Description: Clients provided with BIND 9
  The Berkeley Internet Name Domain (BIND 9) implements an Internet domain
  name server.  BIND 9 is the most widely-used name server software on the
