=== debian/rules ===
--- 
+++ 
@@ -72,7 +72,6 @@
 		--enable-largefile \
 		--with-libtool \
 		--enable-shared \
-		--with-dlz-dlopen \
 		--disable-static \
 		--with-gost=no \
 		--with-openssl=/usr \
@@ -92,20 +91,20 @@
 
 override_dh_auto_build:
 	sed -i 's/:gl:`\([#!][^`]*\)`/[GL \1]/g' doc/notes/*.rst
-	dh_auto_build -- all html
+	-dh_auto_build -- all html
 
 override_dh_auto_clean: clean_version_extensions
 	sed -i 's/\[GL \([#!][^]]*\)]/:gl:`\1`/g' doc/notes/*.rst
 	dh_auto_clean
 
 override_dh_auto_install:
-	dh_auto_install --destdir=$(CURDIR)/debian/tmp -- install install-html
+	-dh_auto_install --destdir=$(CURDIR)/debian/tmp -- install install-html
 
 override_dh_auto_test:
 	:
 
 override_dh_installinit:
-	dh_installinit -pbind9 --name=named --error-handler=true
+	dh_installinit -pbind9 --name=named
 	dh_installinit --remaining
 
 override_dh_installsystemd:
