## bind9 9.19.6

=== debian/changelog ===
bind9 (1:9.19.6-2) experimental; urgency=medium

  * Use systemd notify for service readyness check (Closes: #994696)

 -- Bernhard Schmidt <berni@debian.org>  Sun, 30 Oct 2022 00:14:05 +0200

bind9 (1:9.19.6-1) experimental; urgency=medium

  * New upstream version 9.19.6

 -- Ondřej Surý <ondrej@debian.org>  Wed, 19 Oct 2022 15:06:31 +0200

bind9 (1:9.19.5-1) experimental; urgency=medium

  * New upstream version 9.19.5
   - CVE-2022-2795: Processing large delegations may severely degrade
     resolver performance
   - CVE-2022-2881: Buffer overread in statistics channel code
   - CVE-2022-2906: Memory leaks in code handling Diffie-Hellman key
     exchange via TKEY RRs (OpenSSL 3.0.0+ only)
   - CVE-2022-3080: BIND 9 resolvers configured to answer from stale
     cache with zero stale-answer-client-timeout may terminate unexpectedly
   - CVE-2022-38177: Memory leak in ECDSA DNSSEC verification code
   - CVE-2022-38178: Memory leaks in EdDSA DNSSEC verification code

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Sep 2022 12:55:15 +0200

bind9 (1:9.19.4-1) unstable; urgency=medium

  * Remove doc/misc/options.active from the docs
  * New upstream version 9.19.4

 -- Ondřej Surý <ondrej@debian.org>  Thu, 18 Aug 2022 09:48:41 +0200

bind9 (1:9.19.3-1) unstable; urgency=medium

  * New upstream version 9.19.3

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Jul 2022 16:42:00 +0200

bind9 (1:9.19.2-1) unstable; urgency=medium

  * New upstream version 9.19.2

 -- Ondřej Surý <ondrej@debian.org>  Wed, 15 Jun 2022 14:43:54 +0200

bind9 (1:9.19.1-1) unstable; urgency=medium

  * Disable treat-warnings-as-errors in sphinx-build
  * New upstream version 9.19.1

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 May 2022 17:26:23 +0200

bind9 (1:9.19.0-1) unstable; urgency=medium

  * Update d/ for BIND 9.19 Development
  * New upstream version 9.19.0

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2022 09:51:08 +0200
