=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Bernhard Schmidt <berni@debian.org>
 Build-Depends: bison,
-               debhelper (>= 10),
+               debhelper-compat (= 12),
                dh-apparmor,
                dh-exec,
                libcap2-dev [linux-any],
                libcmocka-dev,
+               libdb-dev,
                libedit-dev,
                libfstrm-dev,
                libidn2-dev,
@@ -17,30 +18,31 @@
                libjson-c-dev,
                libkrb5-dev,
                liblmdb-dev,
+               libltdl-dev,
                libmaxminddb-dev (>= 1.3.0),
                libnghttp2-dev,
                libprotobuf-c-dev,
                libssl-dev,
                libsystemd-dev [linux-any],
                libtool,
-               libuv1-dev (>= 1.40.0),
+               libtool-bin,
+               libuv1-dev,
                libxml2-dev,
-               pkgconf,
+               pkg-config,
                protobuf-c-compiler,
                python3,
-               python3-sphinx (>= 1.6.7),
-               python3-sphinx-rtd-theme,
                zlib1g-dev
 Build-Depends-Indep: fonts-freefont-otf,
                      latexmk,
+                     python3-sphinx,
+                     python3-sphinx-rtd-theme,
                      texlive-fonts-extra,
                      texlive-latex-recommended,
-                     texlive-plain-generic | texlive-generic-extra,
                      texlive-xetex,
-                     xindy | texlive-xetex (<< 2018.20190227-2~)
-Standards-Version: 4.6.2
+                     xindy
+Standards-Version: 4.1.2
 Vcs-Browser: https://salsa.debian.org/dns-team/bind9
-Vcs-Git: https://salsa.debian.org/dns-team/bind9.git -b debian/9.18
+Vcs-Git: https://salsa.debian.org/dns-team/bind9.git -b debian/9.19
 Homepage: https://www.isc.org/downloads/bind/
 
 Package: bind9
@@ -52,11 +54,12 @@
          debconf | debconf-2.0,
          dns-root-data,
          iproute2,
+         lsb-base (>= 3.2-14),
          netbase,
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: bind9-doc,
-          bind9-dnsutils,
+Suggests: bind-doc,
+          dnsutils,
           resolvconf,
           ufw
 Breaks: bind (<< 1:9.13.6~)
@@ -68,12 +71,26 @@
  .
  This package provides the server and related configuration files.
 
+Package: bind9utils
+Architecture: all
+Depends: bind9-utils,
+         ${misc:Depends}
+Priority: optional
+Section: oldlibs
+Description: Transitional package for bind9-utils
+ This is a transitional package. It can safely be removed.
+
 Package: bind9-utils
 Architecture: any
 Depends: bind9-libs (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: freeipa
+Breaks: bind-utils (<< 1:9.13.6~),
+        bind9utils (<< 1:9.12.0~),
+        freeipa
+Replaces: bind-utils (<< 1:9.13.6~),
+          bind9utils (<< 1:9.12.0~)
+Provides: bind9utils
 Description: Utilities for BIND 9
  This package provides various utilities that are useful for maintaining a
  working BIND 9 installation.
@@ -84,7 +101,6 @@
 Depends: ${misc:Depends}
 Breaks: bind-doc (<< 1:9.13.6~)
 Replaces: bind-doc (<< 1:9.13.6~)
-Multi-Arch: foreign
 Description: Documentation for BIND 9
  This package provides various documents that are useful for maintaining a
  working BIND 9 installation.
@@ -92,7 +108,6 @@
 Package: bind9-host
 Priority: standard
 Architecture: any
-Multi-Arch: foreign
 Depends: bind9-libs (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -140,14 +155,27 @@
  Please be aware that the BIND 9 libraries are considered private by upstream
  developers and the API and ABI might break at any time.
 
+Package: dnsutils
+Architecture: all
+Depends: bind9-dnsutils,
+         ${misc:Depends}
+Priority: optional
+Section: oldlibs
+Description: Transitional package for bind9-dnsutils
+ This is a transitional package. It can safely be removed.
+
 Package: bind9-dnsutils
 Priority: standard
 Architecture: any
-Multi-Arch: foreign
 Depends: bind9-host | host,
          bind9-libs (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: bind-dnsutils (<< 1:9.13.6~),
+        dnsutils (<< 1:9.13.6~)
+Conflicts: bind-dnsutils (<< 1:9.13.6~),
+           dnsutils (<< 1:9.13.6~)
+Provides: dnsutils
 Description: Clients provided with BIND 9
  The Berkeley Internet Name Domain (BIND 9) implements an Internet domain
  name server.  BIND 9 is the most widely-used name server software on the
