## bind9 9.19.14

=== debian/changelog ===
bind9 (1:9.19.14-1) experimental; urgency=medium

  * New upstream version 9.19.14

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Jun 2023 21:00:01 +0200

bind9 (1:9.19.13-1) experimental; urgency=medium

  * New upstream version 9.19.13

 -- Ondřej Surý <ondrej@debian.org>  Wed, 17 May 2023 17:50:48 +0200

bind9 (1:9.19.12-2) experimental; urgency=medium

  * Add liburcu-dev to Build-Depends

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Apr 2023 14:24:06 +0200

bind9 (1:9.19.12-1) experimental; urgency=medium

  * New upstream version 9.19.12

 -- Ondřej Surý <ondrej@debian.org>  Wed, 19 Apr 2023 15:01:59 +0200

bind9 (1:9.19.11-1) experimental; urgency=medium

  * New upstream version 9.19.11
  * Update the d/bind9-dev.install, d/bind9.install and d/not-installed
    after library squash

 -- Ondřej Surý <ondrej@debian.org>  Wed, 15 Mar 2023 18:27:20 +0100

bind9 (1:9.19.10-1) experimental; urgency=medium

  * New upstream version 9.19.10
  * Drop libtool-bin from B-D (Closes: #1022968)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 10 Feb 2023 15:16:29 +0100

bind9 (1:9.19.9-2) experimental; urgency=medium

  * Allow the named to use systemd notify service

 -- Ondřej Surý <ondrej@debian.org>  Thu, 26 Jan 2023 21:18:35 +0100

bind9 (1:9.19.9-1) experimental; urgency=medium

  * New upstream version 9.19.9

 -- Ondřej Surý <ondrej@debian.org>  Wed, 25 Jan 2023 16:04:03 +0100

bind9 (1:9.19.8-1) experimental; urgency=medium

  * New upstream version 9.19.8

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Dec 2022 18:02:17 +0100

bind9 (1:9.19.7-1) experimental; urgency=medium

  * New upstream version 9.19.7

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 Nov 2022 14:05:15 +0100
