## bind9 9.19.19

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libssl-dev,
                libsystemd-dev [linux-any],
                libtool,
-               libtool-bin,
+               liburcu-dev,
                libuv1-dev,
                libxml2-dev,
                pkg-config,
@@ -40,7 +40,7 @@
                      texlive-latex-recommended,
                      texlive-xetex,
                      xindy
-Standards-Version: 4.1.2
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/dns-team/bind9
 Vcs-Git: https://salsa.debian.org/dns-team/bind9.git -b debian/9.19
 Homepage: https://www.isc.org/downloads/bind/
